Book a delivery

POST <baseURL>/deliveries

This request books a delivery using Walmart GoLocal service.

Call this request when the customer has finalized and submitted their order.
Walmart GoLocal can be booked to complete the delivery.
This request books the delivery.
If the delivery details are not complete or are not feasible, this request fails and returns error codes and
descriptions.

This request supports different delivery types, such as general items, refrigerated items, frozen groceries, and alcohol.
Depending on the delivery type, there may be different fields to complete.
The delivery can include only the delivery types agreed to in our business contract, and set up during onboarding.

The following notes may apply:

  • The customer’s address must be provided as the delivery destination.
  • The time and the location that the order will be ready at the pickup point for our Walmart GoLocal delivery driver.
  • The size, weight, value, and handling information of all items collectively in the order (and not for each item).
    This allows delivery drivers to be appropriately selected.
    The maximum size, weight, cost, and handling values eligible for a Walmart GoLocal delivery will be configured by each delivery client basis.
  • This request returns a deliveryId. A deliveryId is a Walmart GoLocal-generated value used to track and manage that specific delivery.
  • The order status at the pickup point can be passed as READY_FOR_PICKUP in real time as a value to the orderStatus parameter.
    This lets the delivery driver know that the order has been prepared at the location. This status will be implemented in future and not ready for use.
  • The Book Delivery request response can provide a tracking URL, or a URL that tracks the status of the delivery.
    The tracking URL is format:

    https://deliverytracking.walmart.com/{deliveryId}?token={token}.

    The Walmart Client Center settings control its inclusion in the Book Delivery request response.

Property Type and Location Preference Validation

For property type and location preference values, the following combinations are allowed:

Enum of locationPreferenceHOUSEAPARTMENTBUSINESSOTHERnull
FRONT_DOOROptionalOptionalOptionalOptionalNot Allowed
BACK_DOOROptionalNot AllowedNot AllowedOptionalNot Allowed
SIDE_PORCHOptionalNot AllowedNot AllowedOptionalNot Allowed
BUILDING_RECEPTIONNot AllowedOptionalOptionalOptionalNot Allowed
MAILROOM_OR_PROPERTY_STAFFNot AllowedOptionalOptionalOptionalNot Allowed
GARAGE_DOOROptionalNot AllowedNot AllowedOptionalNot Allowed
NO_PREFERENCEOptionalOptionalOptionalOptionalNot Allowed

Example

This request books a delivery.

POST <baseURL>/deliveries

Request body:

{ "deliveries": { "clientId": "49304", "externalOrderId": "10208877499-208925547882099", "deliveryMethod": "SCHEDULED_DELIVERY", "orderPickupReadyTime": "2024-09-06T19:00:00.000Z", "orderPickupDueTime": "2024-09-06T21:00:00.000Z", "requestedMinDeliverySlotTime": "2024-09-06T19:00:00.000Z", "requestedMaxDeliverySlotTime": "2024-09-06T21:00:00.000Z", "customer": { "firstName": "John", "lastName": "Doe", "email": "[email protected]", "phone": { "number": "(650) 8375000", "countryCode": "1" } }, "addOnServices": { "returnable": true, "attendedDelivery": true, "proofOfDelivery": true, "capturePhotoProof": true, "isDropOffOTPRequired": false, "captureSignatureProof": false, "chainOfCustody": true }, "pickupDetails": { "pickupPointId": "101979", "externalPickupPointId": "4969" }, "instructions": [ { "instructionText": "Ring bell when arriving.", "instructionType": "CUSTOMER" } ], "deliveryDetails": { "address": { "line1": "853 W California Ave", "line2": "Apt 10", "city": "Sunnyvale", "state": "CA", "zipCode": "94086", "countryCode": "US" }, "latLong": { "type": "CUSTOMER_PINDROP", "lat": 37.12345, "lng": -122.12345 }, "propertyDetails": { "gateCode": "C-1278", "propertyType": "BUSINESS", "locationPreference": "BUILDING_RECEPTION" } }, "scanDetails": [ { "scanDetail": [ { "scanId": "W1321433777-1" } ], "scanType": "CODE128" } ], "associateScans": [ { "scanDetail": [ { "scanId": "21" } ], "scanType": "CODE128" } ], "orderManifest": { "summary": { "totalItems": 4, "orderSize": "S", "dimensions": [ { "length": 25, "width": 5.25, "height": 4.25, "unitOfMeasure": "IN" } ], "totalOrderWeight": { "measurementValue": 20, "unitOfMeasure": "OZ" }, "totalValueOfItems": { "currencyAmount": 36.45, "currencyUnit": "USD" }, "specialHandlingAttributes": { "hasHazmatItems": false, "hasAlcoholItems": false, "hasColdchainItems": true, "coldChain": { "temperatureType": "CHILLED" }, "hasFragileItems": false, "hasPharmacyItems": false } }, "itemDetails": [ { "itemId": "string", "itemDescription": "Milk Shake", "dimensions": { "length": 3.75, "width": 4.25, "height": 6, "unitOfMeasure": "IN" }, "quantity": 4, "itemWeight": { "measurementValue": 5, "unitOfMeasure": "OZ" }, "itemTotal": { "currencyAmount": 36.45, "currencyUnit": "USD" } } ] }, "communicationPreferences": { "customerNotifications": { "allowAll": true } }, "quoteDetails": { "quoteId": "b4c3bd7e-c60f-4ea2-8ef3-9059a60bd07c" } }
}

Response body:

{ "deliveries": { "externalOrderId": "10208877499-208925547882099", "deliveryId": "4e9cf4d5-be96-4b30-a76e-073b5f912345", "trackingURL": "https://deliverytracking.walmart.com/4e9cf4d5-be96-4b30-a76e-073b5f912345?token=MDky...Wk%3D" }
}

See Also

To cancel a delivery, see PUT /deliveries/{deliveryId}/cancel.

To update information about the delivery, see PUT /deliveries/{deliveryId}/update.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Specifies information for the delivery request.

deliveries
object
required

Specifies an object for the delivery details.

Headers
string
required

Specifies the literal value for Bearer <authenticationToken>.

The authenticationToken is an access token representing a user’s valid authorization and authentication permissions.
See Authentication for additional information.

Example: Bearer eyJraWQiOiI1N…yLTQ4MjctOGUz

uuid
required
length between 36 and 36

Specifies the value for the <consumer_id>.

This is the Client Consumer ID for the OAuth2 client credentials.
See the Walmart Client Center's Walmart administrator, client administrator, or development management for this value.

Example: 685f74bf-b8ca-447d-8338-966di751443f

string

Specifies the request log identifier.

This optional header can be any value.
Walmart GoLocal uses this value to log requests and error situations.

Examples:

2398

685f74bf-b8ca-447d-8338-966dd751445f

Responses

404

Not Found. The requested resource was not found on the server.

405

Method Not Allowed. The target resource doesn't support this method.

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json